Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions
file_format.hpp File Reference
`#include <iosfwd>`
Include dependency graph for file_format.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::io
| Everything related to input and output of OSM data.

## Enumerations
enum class | osmium::io::file_format { osmium::io::unknown = 0 , osmium::io::xml = 1 , osmium::io::pbf = 2 , osmium::io::opl = 3 , osmium::io::json = 4 , osmium::io::o5m = 5 , osmium::io::debug = 6 , osmium::io::blackhole = 7 , osmium::io::ids = 8 , osmium::io::last = 8 }
enum class | osmium::io::read_meta { osmium::io::no = 0 , osmium::io::yes = 1 }
enum class | osmium::io::buffers_type { osmium::io::any = 0 , osmium::io::single = 1 }

## Functions
const char * | osmium::io::as_string (const file_format format) noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::io::operator<< (std::basic_ostream< TChar, TTraits > &out, const file_format format)